package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.CompanyGoodInfo;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface CompanyGoodInfoService {
	CompanyGoodInfo get(String id);
	boolean exist(String id);
	int insert(CompanyGoodInfo model);
	int update(CompanyGoodInfo model);
	int delete(String id);
	List<CompanyGoodInfo> list();
	List<CompanyGoodInfo> findByCompanyId(String companyId);
	CompanyGoodInfo findByCompanyIdAndGoodsId(String companyId,String GoodsId);
	Page<CompanyGoodInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}